# $Revision: 1.37 $, $Date: 2002/05/15 06:11:00 $
Summary:	Fast Fourier transform library
Summary(pl):	Biblioteka z funkacjami szybkiej transformaty Fouriera
Name:		fftw
Version:	2.1.3
Release:	10
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.fftw.org/pub/fftw/%{name}-%{version}.tar.gz
Patch0:		%{name}-info.patch
Icon:		fftw-logo-thumb.gif
URL:		http://www.fftw.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FFTW is a collection of fast C routines for computing the Discrete
Fourier Transform in one or more dimensions. It includes complex,
real, and parallel transforms, and can handle arbitrary array sizes
efficiently. This RPM package includes the double precision FFTW
uniprocessor and threads libraries.

%description -l pl
FFTW jest zbiorem szybkich funkcji C do obliczania dyskretnych
transformat Fouriera w jednym lub wicej wymiarach. Zawiera rwnie
zespolone, rzeczywiste oraz rwnolege transformaty i potrafi wydajnie
radzi sobie z tablicami o dowolnych rozmiarach. Ten pakiet RPM
zawiera wersje FFTW o podwjnej precyzji dla architektur
jednoprocesorowych oraz z obsug wtkw.

%package devel
Summary:	Headers, libraries & docs for fftw
Summary(pl):	Nagwki, biblioteki oraz dokumentacja do fftw
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package contains the additional header files, documentation and
libraries you need to develop programs using the FFTW (fast fourier
transform library).

%description devel -l pl
Ten pakiet zawiera dodatkowe pliki nagwkowe, dokumetacj oraz
biblioteki niezbdne do tworzenia programw uywajcych biblioteki
FFTW (fast fourier transform library).

%package static
Summary:	Static fftw libraries
Summary(pl):	Statyczne biblioteki fftw
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static fftw libraries.

%description static -l pl
Statyczne biblioteki fftw.

%prep
%setup -q
%patch -p1

%build
%configure2_13 \
%ifarch %{ix86}
	--enable-i386-hacks \
%endif
	--enable-shared \
	--enable-threads \
	--%{!?debug:dis}%{?debug:en}able-debug

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_infodir}/fftw.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: fftw.spec,v $
Revision 1.37  2002/05/15 06:11:00  kloczek
- release 10.

Revision 1.36  2002/05/14 19:10:01  qboosh
- fixed typos in pl description, removed false information about single
  precision libraries from both descriptions

Revision 1.35  2002/05/13 20:28:25  filon
- correct polish desription (have not been translated correctly)
- release 9

Revision 1.34  2002/04/25 16:17:57  arturs
fixed a small typo

Revision 1.33  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/02/19 18:53:33  gotar
- %desc

Revision 1.31  2002/01/26 09:41:37  kloczek
- release 8.

Revision 1.30  2002/01/25 18:52:44  filon
- use ix86 macro

Revision 1.29  2002/01/18 02:12:56  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/08/19 16:58:30  kloczek
- spec adapterized.

Revision 1.27  2001/08/11 16:04:04  blues
- Release 7
- configure2_13
NOTE: there is possibility to turn-on fortran support

Revision 1.26  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.24  2001/05/10 14:24:12  baggins
- release 6
- --enable-type-prefix removed again ;)

Revision 1.23  2001/05/08 22:38:09  kloczek
- release 5,
- --enable-type-prefix is back,
- enable/disable debug %%{debug} conditionaly.

Revision 1.22  2001/01/27 22:40:47  kloczek
- release 4: added Summary(pl).

Revision 1.21  2001/01/27 22:29:38  qboosh
- ldconfig in post/postun scripts

Revision 1.20  2001/01/22 06:42:13  kloczek
- release 3,
- build without --enable-type-prefix and with --disable-debug.

Revision 1.19  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.18  2000/06/18 23:10:28  kloczek
- release 2.

Revision 1.17  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.16  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.14  2000/05/18 20:18:39  kloczek
- spec adapterized.

Revision 1.13  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.12  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 17:15:17  arturs
- added %description -l pl

Revision 1.10  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.9  1999/11/08 18:21:20  kloczek
- updated to 2.1.3,
- new Source url and URL.

Revision 1.8  1999/09/24 10:57:28  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.7  1999/09/19 09:05:40  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.6  1999/08/05 14:47:46  kloczek
- fix: {un}registering info pages must be in devel (not in main package).

Revision 1.5  1999/08/05 14:17:27  kloczek
- reorder in header.

Revision 1.4  1999/08/05 14:15:50  kloczek
- fix: added missing $RPM_BUILD_ROOT in %install,
- added info patch with adding fftw to info index,
- added "Prereq: /sbin/install-info" rule,
- added {un}registering fftw info page in %post, %preun.

Revision 1.3  1999/08/03 23:34:46  kloczek
- added gzipping info pages.

Revision 1.2  1999/08/03 23:32:48  kloczek
- completly rewrited in PLD style (compiles now).

* Tue Aug 03  1999 Dax Kelson <dax@gurulabs.com>
- Set prefix to /usr so there is no need to futz with ldconfig
